use diesel::prelude::*;
use diesel::sqlite::SqliteConnection;
use dotenv::dotenv;
use std::env;

pub fn establish_connection() -> SqliteConnection {
    dotenv().ok();

    // TODO: Consider whether it is best practice to panic here
    // or have establish_connection return a Result with a thiserror enum

    let db_url = env::var("DATABASE_URL").expect("$DATABASE_URL was not set");
    SqliteConnection::establish(&db_url).expect(&format!("Error connecting to {}", db_url))
}
